Skip to content

Get an organization user

GET
/organizations/{oid}/user/{uid}
curl --request GET \
--url https://apisandbox.puurk.com/organizations/example/user/example \
--header 'Authorization: Bearer <token>'

Returns a user’s membership within an organization

oid
required
string

Organization ID

uid
required
string

User ID

Successful operation

Media typeapplication/json
object
id

Unique identifier for the user

string
uid

User ID

string
first_name

User’s first name

string
last_name

User’s last name

string
title

User’s title

string
email_address

User’s email address

string format: email
email_verified

Whether the email address is verified

boolean
ssn

Social Security Number

string
phone_number

User’s phone number

string
phone_verified

Whether the phone number is verified

boolean
birth_date

User’s birth date

string format: date
address_line_1

First line of user’s address

string
address_line_2

Second line of user’s address

string
city

User’s city

string
state

User’s state

string
zip

User’s ZIP code

string
photo_url

URL to user’s photo

string format: uri
password

User’s password

string
password_expiration

Password expiration date

string format: date-time
password_attempts

Number of password attempts

number format: integer
account_locked_until

Date until which the account is locked

string format: date-time
Examplegenerated
{
"id": "example",
"uid": "example",
"first_name": "example",
"last_name": "example",
"title": "example",
"email_address": "hello@example.com",
"email_verified": true,
"ssn": "example",
"phone_number": "example",
"phone_verified": true,
"birth_date": "2026-04-15",
"address_line_1": "example",
"address_line_2": "example",
"city": "example",
"state": "example",
"zip": "example",
"photo_url": "https://example.com",
"password": "example",
"password_expiration": "2026-04-15T12:00:00Z",
"password_attempts": 1,
"account_locked_until": "2026-04-15T12:00:00Z"
}

Unauthorized

Not found